         * = $3cbd

         JMP start                          ; .C:3cbd  4C 05 3D    JMP $3D05
transfer:
         LDY #$01                           ; .C:3cc0  A0 01       LDY #$01

         LDA #$00                           ; .C:3cc2  A9 00       LDA #$00
         STA $DF0A ; Address Control        ; .C:3cc4  8D 0A DF    STA $DF0A
         LDA #$1F                           ; .C:3cc7  A9 1F       LDA #$1F
         STA $DF09 ; Interrupt Mask         ; .C:3cc9  8D 09 DF    STA $DF09
         LDA $3DA8                          ; .C:3ccc  AD A8 3D    LDA $3DA8
         STA $DF02 ; C64 - Low-Byte         ; .C:3ccf  8D 02 DF    STA $DF02
         LDA $3DA9                          ; .C:3cd2  AD A9 3D    LDA $3DA9
         STA $DF03 ; C64 - High-Byte        ; .C:3cd5  8D 03 DF    STA $DF03
         LDA $3DAA                          ; .C:3cd8  AD AA 3D    LDA $3DAA
         STA $DF07 ; Length - Low-Byte      ; .C:3cdb  8D 07 DF    STA $DF07
         LDA $3DAB                          ; .C:3cde  AD AB 3D    LDA $3DAB
         STA $DF08 ; Length - High-Byte     ; .C:3ce1  8D 08 DF    STA $DF08
         LDA $3DAC                          ; .C:3ce4  AD AC 3D    LDA $3DAC
         STA $DF04 ; REU - Low-Byte         ; .C:3ce7  8D 04 DF    STA $DF04
         LDA $3DAD                          ; .C:3cea  AD AD 3D    LDA $3DAD
         STA $DF05 ; REU - High-Byte        ; .C:3ced  8D 05 DF    STA $DF05
         LDA $3DAE                          ; .C:3cf0  AD AE 3D    LDA $3DAE
         STA $DF06 ; REU - Bank-Number      ; .C:3cf3  8D 06 DF    STA $DF06

         LDA $3DA6                          ; .C:3cf6  AD A6 3D    LDA $3DA6
         ORA #$90                           ; .C:3cf9  09 90       ORA #$90
         DEY                                ; .C:3cfb  88          DEY
         BNE +                              ; .C:3cfc  D0 03       BNE $3D01
         STA $DF01 ; Command Register       ; .C:3cfe  8D 01 DF    STA $DF01
+
         RTS                                ; .C:3d01  60          RTS

         BRK                                ; .C:3d02  00          BRK
         BRK                                ; .C:3d03  00          BRK
         BRK                                ; .C:3d04  00          BRK

start:
         LDA #$00                           ; .C:3d05  A9 00       LDA #$00
         ; 00 = transfer C64 -> REU
         STA $3DA6 ; Command Register       ; .C:3d07  8D A6 3D    STA $3DA6
         STA $3DA7 ; n/a                    ; .C:3d0a  8D A7 3D    STA $3DA7

         LDA #<$03E8                        ; .C:3d0d  A9 E8       LDA #$E8
         STA $3DAA ; Length - Low-Byte      ; .C:3d0f  8D AA 3D    STA $3DAA
         LDA #>$03E8                        ; .C:3d12  A9 03       LDA #$03
         STA $3DAB ; Length - High-Byte     ; .C:3d14  8D AB 3D    STA $3DAB
         LDA #<$D800                        ; .C:3d17  A9 00       LDA #$00
         STA $3DA8 ; C64 - Low-Byte         ; .C:3d19  8D A8 3D    STA $3DA8
         LDA #>$D800                        ; .C:3d1c  A9 D8       LDA #$D8
         STA $3DA9 ; C64 - High-Byte        ; .C:3d1e  8D A9 3D    STA $3DA9
         LDA #<$84E8                        ; .C:3d21  A9 E8       LDA #$E8
         STA $3DAC ; REU - Low-Byte         ; .C:3d23  8D AC 3D    STA $3DAC
         LDA #>$84E8                        ; .C:3d26  A9 84       LDA #$84
         STA $3DAD ; REU - High-Byte        ; .C:3d28  8D AD 3D    STA $3DAD
         LDA #$03                           ; .C:3d2b  A9 03       LDA #$03
         STA $3DAE ; REU - Bank-Number      ; .C:3d2d  8D AE 3D    STA $3DAE

         LDA #$93                           ; .C:3d30  A9 93       LDA #$93
         JSR $FFD2                          ; .C:3d32  20 D2 FF    JSR $FFD2
         JSR clrscr                         ; .C:3d35  20 91 3D    JSR $3D91
         JSR clrcol                         ; .C:3d38  20 7E 3D    JSR $3D7E

         LDA #$36                           ; .C:3d3b  A9 36       LDA #$36
         STA $01                            ; .C:3d3d  85 01       STA $01
         JSR transfer                       ; .C:3d3f  20 C0 3C    JSR $3CC0
         LDA #$37                           ; .C:3d42  A9 37       LDA #$37
         STA $01                            ; .C:3d44  85 01       STA $01
         
         ; 01 = transfer REU -> C64
         INC $3DA6 ; Command Register       ; .C:3d46  EE A6 3D    INC $3DA6

         JSR wait                           ; .C:3d49  20 6F 3D    JSR $3D6F
         JSR wait                           ; .C:3d4c  20 6F 3D    JSR $3D6F
         LDA #$93                           ; .C:3d4f  A9 93       LDA #$93
         JSR $FFD2                          ; .C:3d51  20 D2 FF    JSR $FFD2
         JSR clrscr                         ; .C:3d54  20 91 3D    JSR $3D91

         LDA #$36                           ; .C:3d57  A9 36       LDA #$36
         STA $01                            ; .C:3d59  85 01       STA $01
         JSR transfer                       ; .C:3d5b  20 C0 3C    JSR $3CC0
         LDA #$37                           ; .C:3d5e  A9 37       LDA #$37
         STA $01                            ; .C:3d60  85 01       STA $01

         JSR wait                           ; .C:3d62  20 6F 3D    JSR $3D6F
         JSR wait                           ; .C:3d65  20 6F 3D    JSR $3D6F
         JSR wait                           ; .C:3d68  20 6F 3D    JSR $3D6F
         JSR wait                           ; .C:3d6b  20 6F 3D    JSR $3D6F
         RTS                                ; .C:3d6e  60          RTS

wait:
         LDA #$00                           ; .C:3d6f  A9 00       LDA #$00
         STA $FB                            ; .C:3d71  85 FB       STA $FB
         STA $FC                            ; .C:3d73  85 FC       STA $FC
-
         DEC $FB                            ; .C:3d75  C6 FB       DEC $FB
         BNE -                              ; .C:3d77  D0 FC       BNE $3D75
         DEC $FC                            ; .C:3d79  C6 FC       DEC $FC
         BNE -                              ; .C:3d7b  D0 F8       BNE $3D75
         RTS                                ; .C:3d7d  60          RTS

clrcol:
         LDY #$FA                           ; .C:3d7e  A0 FA       LDY #$FA
-
         TYA                                ; .C:3d80  98          TYA
         STA $D7FF,Y                        ; .C:3d81  99 FF D7    STA $D7FF,Y
         STA $D8F9,Y                        ; .C:3d84  99 F9 D8    STA $D8F9,Y
         STA $D9F3,Y                        ; .C:3d87  99 F3 D9    STA $D9F3,Y
         STA $DAED,Y                        ; .C:3d8a  99 ED DA    STA $DAED,Y
         DEY                                ; .C:3d8d  88          DEY
         BNE -                              ; .C:3d8e  D0 F0       BNE $3D80
         RTS                                ; .C:3d90  60          RTS

clrscr:
         LDY #$FA                           ; .C:3d91  A0 FA       LDY #$FA
         LDA #$A0                           ; .C:3d93  A9 A0       LDA #$A0
-
         STA $03FF,Y                        ; .C:3d95  99 FF 03    STA $03FF,Y
         STA $04F9,Y                        ; .C:3d98  99 F9 04    STA $04F9,Y
         STA $05F3,Y                        ; .C:3d9b  99 F3 05    STA $05F3,Y
         STA $06ED,Y                        ; .C:3d9e  99 ED 06    STA $06ED,Y
         DEY                                ; .C:3da1  88          DEY
         BNE -                              ; .C:3da2  D0 F1       BNE $3D95

         RTS                                ; .C:3da4  60          RTS

         RTS                                ; .C:3da5  60          RTS
 
